> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrop.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Identity

> This endpoint accepts a risk evaluation order for an identity. You submit identity data (including personal and legal information) along with a reference number and webhook URL. OmniEagle processes the data and asynchronously sends the risk evaluation result to the provided webhook URL. A 201 response indicates successful acceptance of the order. A 208 response indicates that the order has already been received (duplicate submission).



## OpenAPI

````yaml POST  /omni-eagle/v1/identities
openapi: 3.1.0
info:
  contact:
    email: developers@ecrop.com
    name: ecrop OmniEagle API Support
    url: https://youki.ai/contact
  description: >
    # OmniEagle API Documentation

    Welcome to the OmniEagle API. This API provides risk evaluation services for
    identities and transactions. This documentation details the endpoints
    available for submitting risk evaluation orders and retrieving the results.
  license:
    name: ecrop OmniOmni
    url: https://developers.ecrop.de/api-license/
  termsOfService: https://developers.ecrop.de/terms-of-use/
  title: OmniEagle API Catalogue
  version: 1.0.0
  x-logo:
    backgroundColor: '#DDDDDD'
    url: >-
      https://static.wixstatic.com/media/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png/v1/crop/x_0,y_131,w_1253,h_295/fill/w_233,h_55,al_c,q_85,usm_0.66_1.00_0.01,enc_auto/fd3e8b_a57864adb1084dea94c9fab462a8f52c~mv2.png
servers:
  - url: https://backend.dev.ecrop.de/ecrop-command
    description: DEV
security:
  - Bearer Authentication: []
tags:
  - description: Endpoints for submitting and retrieving identity risk evaluations
    name: Identities
  - description: Endpoints for submitting and retrieving transaction risk evaluations
    name: Transactions
paths:
  /omni-eagle/v1/identities:
    post:
      tags:
        - Identities
      summary: Risk evaluation order for an identity
      description: >-
        This endpoint accepts a risk evaluation order for an identity. You
        submit identity data (including personal and legal information) along
        with a reference number and webhook URL. OmniEagle processes the data
        and asynchronously sends the risk evaluation result to the provided
        webhook URL. A 201 response indicates successful acceptance of the
        order. A 208 response indicates that the order has already been received
        (duplicate submission).
      operationId: storeIdentityRiskEvaluationOrder
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OmniEagleIdentityRiskEvaluationOrderDto'
        required: true
      responses:
        '201':
          description: Risk evaluation order received successfully.
        '208':
          description: Risk evaluation order already has been received.
components:
  schemas:
    OmniEagleIdentityRiskEvaluationOrderDto:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/OmniEagleIdentityDto'
        referenceNumber:
          type: integer
          format: int64
          maximum: 9999999999
          minimum: 1
        webHookUrl:
          type: string
      required:
        - referenceNumber
        - webHookUrl
    OmniEagleIdentityDto:
      type: object
      properties:
        fullLegalName:
          type: string
        IdentificationProvider:
          type: string
          enum:
            - POSTIDENT
            - IDNOW
            - WEBID_SOLUTIONS
            - VERIMI
            - NECT_GMBH
            - ONFIDO
            - SIGNICAT
            - OTHER
        legal:
          $ref: '#/components/schemas/OmniEagleLegalIdentityDto'
        monitoringPattern:
          $ref: '#/components/schemas/OmniEagleMonitoringPatternDto'
        natural:
          $ref: '#/components/schemas/OmniEagleNaturalIdentityDto'
        uniqueIdentifierInClient:
          type: string
      required:
        - uniqueIdentifierInClient
    OmniEagleLegalIdentityDto:
      type: object
      properties:
        beneficialOwnershipInfoList:
          type: array
          items:
            $ref: '#/components/schemas/OmniEagleBeneficialOwnershipInfo'
        businessOwnershipClarified:
          type: boolean
        businessSectors:
          type: array
          items:
            type: string
            enum:
              - FIN_INST_BANK_CREDIT
              - FIN_INST_PAYMENT
              - FIN_INST_E_MONEY
              - FIN_INST_FUND_FIRM
              - NON_FIN_REAL_STATE
              - NON_FIN_PRECIOUS_METAL
              - NON_FIN_PRECIOUS_STONE
              - FIN_INST_ART_DEALER
              - NON_FIN_NOTARIES
              - NON_FIN_ACCOUNTANT
              - NON_FIN_AUDITORS
              - NON_FIN_TAX_ADVISORS
              - NON_FIN_TRUST
              - GAMBLE_CASINO
              - GAMBLE_ONLINE
              - GAMBLE_LOTTERY
              - LUXURY_GOODS
              - CASH_RESTAURANT
              - CASH_BAR
              - CASH_NIGHTCLUB
              - CASH_RETAIL
              - OTHER
          uniqueItems: true
        businessSectorsClarified:
          type: boolean
        customersLocations:
          type: array
          items:
            type: string
          uniqueItems: true
        customersPaymentTypes:
          type: array
          items:
            type: string
            enum:
              - CASH
              - CRYPTO_CURRENCY
              - CHECKS
              - DIGITAL_WALLETS
              - CREDIT_DEBIT_CARD
              - LETTER_OF_CREDIT
              - WIRED_TRANSFER
              - ELECTRONIC_FUNC_TRANSFER
          uniqueItems: true
        geographicalExposureClarified:
          type: boolean
        legalFormType:
          type: string
          enum:
            - AKTIENGESELLSCHAFT
            - GESELLSCHAFT_MIT_BESCHRANKTER_HAFTUNG
            - UNTERNEHMERGESELLSCHAFT
            - OFFENE_HANDELSGESELLSCHAFT
            - KOMMANDITGESELLSCHAFT
            - PARTNERSCHAFTSGESELLSCHAFT
            - EINZELUNTERNEHMEN
            - GENOSSENSCHAFTEN
            - STIFTUNGEN
        mainSector:
          type: string
        managementBoardClarified:
          type: boolean
        ownershipDepth:
          type: integer
          format: int32
        registeredAddress:
          $ref: '#/components/schemas/AddressDto'
        registrationNumber:
          type: string
        sourceOfFunds:
          type: string
          enum:
            - CLEAR
            - UNCLEAR
            - VAGUE
    OmniEagleMonitoringPatternDto:
      type: object
      properties:
        accountMonitoringDays:
          type: integer
          format: int64
        id:
          type: integer
          format: int64
        insertDate:
          type: string
          format: date-time
        largeAmountThreshold:
          type: number
        modifyDate:
          type: string
          format: date-time
        transactionMonitoringHours:
          type: integer
          format: int64
    OmniEagleNaturalIdentityDto:
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/ContactDto'
        dateOfBirth:
          type: string
          format: date
          description: The date of birth of the user
          example: '2024-01-01'
        identificationDocumentsImage:
          type: array
          items:
            $ref: '#/components/schemas/OmniEagleDocumentDto'
        nationality:
          type: string
        pepFlag:
          type: boolean
        residentialAddress:
          $ref: '#/components/schemas/AddressDto'
        responsiblePerson:
          type: boolean
        sourceOfWealth:
          type: string
          enum:
            - CLEAR
            - UNCLEAR
            - VAGUE
    OmniEagleBeneficialOwnershipInfo:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/OmniEagleIdentityDto'
        ownershipType:
          type: string
          enum:
            - CEO
            - BOARD_MEMBER
            - SHAREHOLDER
            - RESPONSIBLE_PERSON
        shareHolder:
          type: boolean
        sharePercentage:
          type: number
          format: double
    AddressDto:
      type: object
      properties:
        city:
          type: string
        countryIso2:
          type: string
        houseNo:
          type: string
        id:
          type: integer
          format: int64
        insertDate:
          type: string
          format: date-time
        modifyDate:
          type: string
          format: date-time
        street:
          type: string
        zip:
          type: string
      required:
        - city
        - countryIso2
        - houseNo
        - street
        - zip
    ContactDto:
      type: object
      properties:
        email:
          type: string
        mobile:
          type: string
        phoneNumber:
          type: string
    OmniEagleDocumentDto:
      type: object
      properties:
        content:
          type: string
        humanReadableDescription:
          type: string
        title:
          type: string
  securitySchemes:
    Bearer Authentication:
      bearerFormat: JWT
      scheme: bearer
      type: http

````